#
# spec file for package python-parallax
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-parallax
Version:        1.0.1
Release:        4.1
Summary:        Execute commands and copy files over SSH to multiple machines at once
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/krig/parallax/
Source:         https://pypi.python.org/packages/source/p/parallax/parallax-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       openssh
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Parallax SSH provides an interface to executing commands on multiple
nodes at once using SSH. It also provides commands for sending and receiving files to
multiple nodes using SCP.

%prep
%setup -q -n parallax-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS README.md COPYING
%{python_sitelib}/parallax
%{python_sitelib}/parallax-%{version}*.egg-info
%{_bindir}/parallax-askpass

%changelog
* Fri Jun 12 2015 kgronlund@suse.com
- Release 1.0.1
  + The host list expander function was not unicode-safe (bsc#934594)
  + Clean up and update documentation for Options.inline (#1)
  + Fix python3 error using askpass option (krig/parallel-ssh#1)
* Thu Feb 12 2015 kgronlund@suse.com
- Release 1.0.0a3
  - Be more accepting with format of limit argument
  - Fix incorrect name of options attribute
* Sat Jan  3 2015 p.drouand@gmail.com
- Fix license to be SPDX compliant; applied license is BSD3 derived
* Thu Dec 25 2014 kgronlund@suse.com
- Release 1.0.0a2
  - Prepend hostname on each line when -P is set (fate#318220)
  - Fix quiet option after API patch
* Thu Nov 20 2014 kgronlund@suse.com
- Revised packaging
- Removed dependency on xz
* Wed Oct 15 2014 kgronlund@suse.com
- Initial release.
